<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Basic</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group___basic.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Basic<div class="ingroups"><a class="el" href="group___c_a_t_e_g_o_r_i_e_s.html">Testcase categories</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This category subset gathers testcases that provide a quick (less than 5 minutes) verification of the Trustonic TEE integration.  
<a href="#details">More...</a></p>
<p>This category subset gathers testcases that provide a quick (less than 5 minutes) verification of the Trustonic TEE integration. </p>
<p><a class="el" href="group___g_p.html">GP</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____time_api.html">00290_TimeApi</a> <br/>
<br/>
 <a class="el" href="group_____time_api.html#ga8bf9dee7d1508e577a61592ce04a2337">TestCase_GC00100_GetSystemTime</a> <br/>
 <a class="el" href="group_____time_api.html#gaeedf27b1c873afcefb3c0a2cccecf9a8">TestCase_GC00200_GetREETime</a> <br/>
 <a class="el" href="group_____time_api.html#gaece92c7e2e8bb83cd076a5a7de52a915">TestCase_GC00300_Wait_500ms</a> <br/>
 <a class="el" href="group_____time_api.html#gad13daf6dd31119cb06be84cc4915de2e">TestCase_GC00301_Wait_5s</a> <br/>
 <a class="el" href="group_____time_api.html#gafc5535d97db26a8657290e8e68437942">TestCase_GC00310_Wait_zero</a> <br/>
 <a class="el" href="group_____time_api.html#ga5b5c396b57bf51619e24f71d11b4c9fb">TestCase_GC00410_SetTaTime</a> <br/>
 <a class="el" href="group_____time_api.html#gaf3f26804f7747ca400307c1254838c57">TestCase_GC00420_GetTaTime</a> <br/>
 <a class="el" href="group_____time_api.html#gad9cbe23ea24ae1b58b7be387b0970aa0">TestCase_BC00431_GetTaTime_overflow</a> <br/>
 <a class="el" href="group_____time_api.html#ga2387d4aec52cd68d7d68b3fa8f5afaa3">TestCase_BC00440_SetTaTime_NullPtr</a> <br/>
 <a class="el" href="group_____time_api.html#gaffa2d61c7877030681a6c6feec43102b">TestCase_GC00450_SetTaTime_GetTaTime_difference</a> <br/>
 <a class="el" href="group_____time_api.html#ga9841957bf84965bc95d2d6897efb350a">TestCase_GC00600_WaitAndSysTime</a> <br/>
 <a class="el" href="group_____time_api.html#gae0390f57c90d47c61dd6e87ad98a4ff2">TestCase_GC00610_SysTime_Monotonicity</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____crypto.html">00400_Crypto</a> <br/>
<br/>
 <a class="el" href="group_____crypto.html#gaeddac7d8f53a78e9d00221351fd80d0a">TestCase_01_Invoke_AllocateOperation</a> <br/>
 <a class="el" href="group_____crypto.html#gad3a365c44cf5b420db5e806a29120737">TestCase_02_Invoke_Allocate_SetOperationKey</a> <br/>
 <a class="el" href="group_____crypto.html#ga953731c63bbd86065b49207f07b0a83e">TestCase_03_Invoke_Allocate_SetOperationKey2</a> <br/>
 <a class="el" href="group_____crypto.html#gae4f5f58acdf5498515a757bd62b014e2">TestCase_04_Invoke_DigestInit</a> <br/>
 <a class="el" href="group_____crypto.html#gaddf57246ed1b10f87ff5c69aec9074b6">TestCase_05_Invoke_ResetOperation</a> <br/>
 <a class="el" href="group_____crypto.html#ga4e02c35bb9e6fecdd20d94f2dc24daf0">TestCase_06_Invoke_FreeOperation</a> <br/>
 <a class="el" href="group_____crypto.html#gaa8bf2e84ae4e883677257f230cb3e282">TestCase_07_Invoke_GetOperationInfo</a> <br/>
 <a class="el" href="group_____crypto.html#ga233c41fdfd06e5cddd7a3b350ee4bba2">TestCase_08_Invoke_CipherOperation</a> <br/>
 <a class="el" href="group_____crypto.html#ga383c3d0f06a35fc3a20a4fbc93ca6463">TestCase_09_Invoke_Random</a> <br/>
 <a class="el" href="group_____crypto.html#gabf65654c403317c82684512ea914039c">TestCase_11_Invoke_CopyObjectAttributes</a> <br/>
 <a class="el" href="group_____crypto.html#ga6a5d8547354a35e2dda1aaa5f3609907">TestCase_12_Invoke_PopulateTransientObject</a> <br/>
 <a class="el" href="group_____crypto.html#gad5e501cf0e0e4e356a9452447dc5f312">TestCase_14_Invoke_MACOperation</a> <br/>
 <a class="el" href="group_____crypto.html#ga483e77f721379d81f4b235611430fe9a">TestCase_23_Invoke_AEOperation_CCM</a> <br/>
 <a class="el" href="group_____crypto.html#ga78a3c36df5baaba06bd3f2a6209583ef">TestCase_24_Invoke_AEOperation_GCM</a> <br/>
 <a class="el" href="group_____crypto.html#ga1e10954f8300d3916cb02b2bf76ebb2e">TestCase_16_Invoke_EncryptOperationXTS</a> <br/>
 <a class="el" href="group_____crypto.html#gae01bec0a9fbc7a4cf07470356ebc8bef">TestCase_17_Invoke_EncryptOperationCTS</a> <br/>
 <a class="el" href="group_____crypto.html#gaaaccd7186f2878212fc199bbff38b0c8">TestCase_21_Invoke_digest_test</a> <br/>
 <a class="el" href="group_____crypto.html#ga26f694688b40a7c8b4456bfdde761bbf">TestCase_22_SetOperationKey2__TrySetXtsKeyWithWrongUsageFlags__ShouldFail</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____g_p_crypto__digest.html">01200_GPCrypto_digest</a> <br/>
<br/>
 <a class="el" href="group_____g_p_crypto__digest.html#gab926a2e861804e5f1491b3727dcd8ddc">TestCase_GC00100_GPCRYPTO__TEE_ResetOperation</a> <br/>
 <a class="el" href="group_____g_p_crypto__digest.html#ga2476d43ccf92f29a6474210be45c1634">TestCase_GC00100_GPCRYPTO_DIGEST_WrongOutputBufferSize</a> <br/>
 <a class="el" href="group_____g_p_crypto__digest.html#ga72eba5cf545d73268b2306752aee62cb">TestCase_GC00100_GPCRYPTO_NullOperation</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____g_p_crypto__mac.html">01200_GPCrypto_mac</a> <br/>
<br/>
 <a class="el" href="group_____g_p_crypto__mac.html#gabad25e0ffa4dacabf1bc78834dbb9dc6">TestCase_GC00100_GPCRYPTO_HMAC_MD5</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#ga95ae82cdb4a9f8286ec314071e955672">TestCase_GC00100_GPCRYPTO_HMAC_SHA1</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#gac0611fa48bfa1dfe0ad98f13127032f8">TestCase_GC00100_GPCRYPTO_HMAC_SHA224</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#gacaaa8def8fdd606ae06d1cbee05717c4">TestCase_GC00100_GPCRYPTO_HMAC_SHA256</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#gadc076c50f63ed71647df1ce2daff2187">TestCase_GC00100_GPCRYPTO_HMAC_SHA384</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#ga29495d550f3817b04b6e69595b3ddf6b">TestCase_GC00100_GPCRYPTO_HMAC_SHA512</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#ga69fb5b7d7a9d671cfa40cfc89a7fdb82">TestCase_GC00100_GPCRYPTO_HMAC_keysize_support</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#gaf0f2651f59060e6758e6c4a1d97627e6">TestCase_GC00100_GPCRYPTO_HMAC_WrongOutputBufferSize</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#ga4b22159efa0bf0a121985b91b51c3159">TestCase_GC00100_GPCRYPTO_HMAC_TEE_MACCompareFinal</a> <br/>
 <a class="el" href="group_____g_p_crypto__mac.html#gaaf15a129c51a90b683e1ba64918d9aec">TestCase_GC00100_GPCRYPTO_HMAC_TEE_MACUpdate</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____g_p_crypto__object.html">01200_GPCrypto_object</a> <br/>
<br/>
 <a class="el" href="group_____g_p_crypto__object.html#gaee684f524522cbfc4f787ca92ca8658c">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDH</a> <br/>
 <a class="el" href="group_____g_p_crypto__object.html#ga8b34ccc1dd10276caf8b1dab5867a987">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA</a> <br/>
 <a class="el" href="group_____g_p_crypto__object.html#ga533f596c1d70e8b125d60daaf9b4431a">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_large</a> <br/>
 <a class="el" href="group_____g_p_crypto__object.html#gafbce1fcdd30dd2781e34e7d6ef53c5f1">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_small</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____g_p_crypto__secretagreement.html">07000_GPCrypto_secretagreement</a> <br/>
<br/>
 <a class="el" href="group_____g_p_crypto__secretagreement.html#ga0c6db3d60af5825e1227c6c4d5c09009">TestCase_TEE_GenerateKey__MandatoryParamGNull__Panic</a> <br/>
 <a class="el" href="group_____g_p_crypto__secretagreement.html#gae30cdda36bdc1ae3fe67871a42fc2f44">TestCase_GPSECRETAGREEMENT_COPY_KEY</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____clone___threads.html">30000_Clone_Threads</a> <br/>
<br/>
 <a class="el" href="group_____clone___threads.html#ga36fe427a91fd6d33f91db7aea1f0c299">TestCase_00100_TwoThreads_ShareMemory</a> <br/>
 <a class="el" href="group_____clone___threads.html#gae34d28e7dff3c6211512862de37b3197">TestCase_00200_Properties_ThreeThreads_OneSession</a> <br/>
</dd></dl>
<p><a class="el" href="group___g_p__050___cancellation.html">GP_050_Cancellation</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____t_e_e___get_cancellation_flag.html">00100_TEE_GetCancellationFlag</a> <br/>
<br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga1ea7e5b946547fecb135803234422e02">TestCase_GC00101_MonoSession_InvokeCommandUnmaskNoCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga49f553d8a67e488cd83542a631d667ec">TestCase_GC00102_TEECtoMonoSession_InvokeCommandUnmaskNoCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga6afc9c944744c8fef0d0cd7fc8f0c1ad">TestCase_GC00110_MultiSession_OpenSessionUnmaskNoCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga877eee28ca29a43fb36235ea5649b7b5">TestCase_GC00111_MultiSession_InvokeCommandUnmaskNoCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga534411bf5728507cf310120b2f738bc4">TestCase_GC00120_MultiInstance_OpenSessionUnmaskNoCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#gabd7ed6d569ddbd34a15c789884b49717">TestCase_GC00121_MultiInstance_InvokeCommandUnmaskNoCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga9816447c672a0e64c503cf5b67e8fe02">TestCase_GC00200_MonoSession_OpenSessionUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#gaab7c00517634efd0a724ba98a2203ea9">TestCase_GC00201_MonoSession_InvokeCommandUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga7d55ba48c348a6f3a64ca3141b98f8cf">TestCase_GC00205_MonoSession_OpenSessionNoUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#gad817a28b50033f93cd551a091c401644">TestCase_GC00210_MultiSession_OpenSessionUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga435c6594e120bad5ada9f6566185b750">TestCase_GC00211_MultiSession_InvokeCommandUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#gaab4c8f7a1b775f009282c68b81bdd611">TestCase_GC00215_MultiSession_OpenSessionNoUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga83d0bd5a2967445e3b75518704285033">TestCase_GC00220_MultiInstance_OpenSessionUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga3d62d9850522431b95f777b5a0f2dfc8">TestCase_GC00221_MultiInstance_InvokeCommandUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#gad64083d697a76ebc648a318ef2bdcca3">TestCase_GC00225_MultiInstance_OpenSessionNoUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga47f5686a1a72ed7c5074cb83afb6b3bf">TestCase_GC00300_MonoSessionKeepAlive_OpenSessionUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#gaa7bea5cba9b9c28d4e168cee2949305c">TestCase_GC00301_MonoSessionKeepAlive_InvokeCommandUnmaskCancel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga3778e1c06e5bfe8e571acf47b547e591">TestCase_GC00310_MultiSessionKeepAlive_OpenSessionUnmaskCancelParallel</a> <br/>
 <a class="el" href="group_____t_e_e___get_cancellation_flag.html#ga47f35cbf1a73f22c15ffb3bbb170b33e">TestCase_GC00311_MultiSessionKeepAlive_InvokeCommandUnmaskCancelParallel</a> <br/>
</dd></dl>
<p><a class="el" href="group___g_p__060___buffer_limitations.html">GP_060_BufferLimitations</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html">00100_BufferSizes_CA2TA_OpenSession</a> <br/>
<br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#ga47769028dbfd38bb9ff4de5c4d66ff35">TestCase_GC00100_ZeroLengthBuffers</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#gaeab19b1ba1cbc3f6a401658046f301bf">TestCase_GC00110_BufferPageUnalignedAtStart</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#gaddbf90a1b5994d0d96d859424709a5d1">TestCase_GC00120_BufferPageUnalignedAtEnd</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#gad1b445e921ad70c26dc6ad72a143a0e8">TestCase_GC00130_LargeBuff_1MB_Align4KB</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#ga4aab97e3c902f116f2652c0585665bf3">TestCase_BC00131_LargeBuff_1MB_Unaligned</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#ga2c9a8d493cd51ca3d83613acbe022746">TestCase_GC00150_InputBufferReadOnly</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#gaa1f409c364dc44d22923f4fd19255d06">TestCase_BC00151_OutputBufferReadOnly</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#gaddb1ab9e270541ceb4d25fe01019e2cd">TestCase_BC00152_InOutBufferReadOnly</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#gab21c59a5aa0516995eb9507b55e89063">TestCase_GC00160_BufferLengthStress</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___open_session.html#ga9aeb03dbf5d9b827c412b100189de946">TestCase_GC00165_BufferLengthStressMultiThreaded</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html">00200_BufferSizes_CA2TA_InvokeCommand</a> <br/>
<br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#gab5659aa92417f094c489306ca32586a1">TestCase_GC00200_ZeroLengthBuffers</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#gaacea1775fb46b9864037538c12c9f19a">TestCase_GC00210_BufferPageUnalignedAtStart</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#gad9be18a8859ff0f22533f2cb7a529f90">TestCase_GC00220_BufferPageUnalignedAtEnd</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#ga743e0989c20b1c45c690a5c63d05618c">TestCase_GC00230_LargeBuff_1MB_Align4KB</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#ga567ab57036fa6d36871fbef9a2f1f437">TestCase_GC00250_InputBufferReadOnly</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#gac7a70984c05638ac0be7b243ecbde607">TestCase_BC00251_OutputBufferReadOnly</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#ga303b58ad9eeeca98a1fd972b583c326e">TestCase_BC00252_InOutBufferReadOnly</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#gabc32d9f74a7cbb730f8ddf1dcb635b54">TestCase_GC00260_BufferLengthStress</a> <br/>
 <a class="el" href="group_____buffer_sizes___c_a2_t_a___invoke_command.html#ga238bed8de2f0e048d330b645f1a14486">TestCase_GC00265_BufferLengthStressMultiThreaded</a> <br/>
</dd></dl>
<p><a class="el" href="group___t_e_s_t___l_i_m_i_t_a_t_i_o_n_s.html">Limitations</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____t_a_sizes.html">00100_TASizes</a> <br/>
<br/>
 <a class="el" href="group_____t_a_sizes.html#ga3861fe1ebf79ddf17a7e57a17b22b40d">TestCase_GC00130_LoadTA3_128k</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____g_p__workspace__x_r_a_m.html">00300_GP_workspace_xRAM</a> <br/>
<br/>
 <a class="el" href="group_____g_p__workspace__x_r_a_m.html#ga0fbaad89a2d85fbffa82aa862b2b4afe">TestCase_GC00001_xRAM_available</a> <br/>
 <a class="el" href="group_____g_p__workspace__x_r_a_m.html#ga4783f1931f2a42bb1b4136f8fd9f2fd5">TestCase_GC00004_xRAM_sessions_available</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____g_p__workspace___crypto_session.html">00301_GP_workspace_CryptoSession</a> <br/>
<br/>
 <a class="el" href="group_____g_p__workspace___crypto_session.html#ga8f2c9816cd4c276478eb4af0e84e52ca">TestCase_GC00001_digest</a> <br/>
 <a class="el" href="group_____g_p__workspace___crypto_session.html#ga44e81b0b965531f5c3fbcac38e86a680">TestCase_GC00002_sign</a> <br/>
 <a class="el" href="group_____g_p__workspace___crypto_session.html#ga481fe417059d80924629d4a5eb562d67">TestCase_GC00003_sym</a> <br/>
 <a class="el" href="group_____g_p__workspace___crypto_session.html#gae34ed737bee822d64de25a1f06e01cd4">TestCase_GC00004_asym</a> <br/>
 <a class="el" href="group_____g_p__workspace___crypto_session.html#gaf28238e649dea17cec13c2ae3b850011">TestCase_GC00010_open_all</a> <br/>
</dd></dl>
<p><a class="el" href="group___n_o_r_m_a_l___c_l_i_e_n_t___a_p_i.html">Normal_Client_API</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_o_p_e_n_d_e_v_i_c_e.html">00100_mcOpenDevice</a> <br/>
<br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_d_e_v_i_c_e.html#ga0ae7c8b2745fd9170a3e6bc56f5c2c1a">TestCase_GC00100_IdDefault</a> <br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#gadef27eb49b89a6188677214529b2776b">TestCase_BC00101_InvalidDevice1</a> <br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_d_e_v_i_c_e.html#ga3a7aa48714c6012e3ea4dcfa8c94eb3b">TestCase_BC00102_InvalidDevice2</a> <br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_d_e_v_i_c_e.html#gabdc6007817fbcc4be6d7a3ad81730d60">TestCase_BC00103_InvalidDeviceMinus1</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_c_l_o_s_e_d_e_v_i_c_e.html">00200_mcCloseDevice</a> <br/>
<br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_d_e_v_i_c_e.html#ga0ae7c8b2745fd9170a3e6bc56f5c2c1a">TestCase_GC00100_IdDefault</a> <br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#gadef27eb49b89a6188677214529b2776b">TestCase_BC00101_InvalidDevice1</a> <br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_d_e_v_i_c_e.html#ga3a7aa48714c6012e3ea4dcfa8c94eb3b">TestCase_BC00102_InvalidDevice2</a> <br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_d_e_v_i_c_e.html#gabdc6007817fbcc4be6d7a3ad81730d60">TestCase_BC00103_InvalidDeviceMinus1</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html">00300_mcMallocWsm</a> <br/>
<br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#ga93ff5efcd76cb9d797fa6316bc71e37f">TestCase_GC00100_IdDefault4k</a> <br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#gadef27eb49b89a6188677214529b2776b">TestCase_BC00101_InvalidDevice1</a> <br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#gab64074b3ec89a75403c2fc57e65ea8e7">TestCase_BC00101_InvalidDevice4</a> <br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#gaf4614af4e8341c5a3f10e013a40ca399">TestCase_BC00102_InvalidDeviceMinus1</a> <br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#ga901c70f1b0e9d1ef4b53078a0d625177">TestCase_BC00105_WsmNullPointer</a> <br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#ga5b6949399f0a6e9967bfe0afd0082f0a">TestCase_GC00107_StresstestMultipleAllocations</a> <br/>
 <a class="el" href="group_____m_c_m_a_l_l_o_c_w_s_m.html#ga716ec65a35f4e2d208ae51473d59164e">TestCase_GC00109_AllocateTillOom</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_f_r_e_e_w_s_m.html">00400_mcFreeWsm</a> <br/>
<br/>
 <a class="el" href="group_____m_c_f_r_e_e_w_s_m.html#ga61ec854941eb9265109886e4cb1fa8db">TestCase_GC00100_DeviceDefault</a> <br/>
 <a class="el" href="group_____m_c_f_r_e_e_w_s_m.html#gad9b93d4ae7f41f3b9d8d200029c5d506">TestCase_BC00101_DeviceInvalid</a> <br/>
 <a class="el" href="group_____m_c_f_r_e_e_w_s_m.html#ga8c22bea9ba7f2f1a3cbc595fb4e51de6">TestCase_BC00102_WsmNullPointer</a> <br/>
 <a class="el" href="group_____m_c_f_r_e_e_w_s_m.html#ga95c9b368529578c0abf1a462e50b4286">TestCase_BC00103_MemoryNotManagedByLib</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_o_p_e_n_s_e_s_s_i_o_n.html">00500_mcOpenSession</a> <br/>
<br/>
 <a class="el" href="group_____m_c_o_p_e_n_s_e_s_s_i_o_n.html#ga8d087611d229719a395666b90f0b07e6">TestCase_C00120_NwDSessionCleanupWhenCACloses</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html">00600_mcCloseSession</a> <br/>
<br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#gac91615603ca08682df771d7aadcf37ed">TestCase_GC00100</a> <br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#gae841d8278c0e76bdb7e950b2a9d6f963">TestCase_BC00101_SessionNullPointer</a> <br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#gabf1b0ea2bc9b7378342f1af7525615dd">TestCase_BC00102_SessionInvalidId</a> <br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#ga61b5b131f3121031a0fe1e300f2d389f">TestCase_BC00103_SessionInvalidDevice</a> <br/>
 <a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#gad1b69d787711d168cee595f07c537572">TestCase_BC00104_CloseMultipleTimes</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_n_o_t_i_f_y.html">00700_mcNotify</a> <br/>
<br/>
 <a class="el" href="group_____m_c_n_o_t_i_f_y.html#ga22a83031ae0d6e923002ebe08635b758">TestCase_GC00100_notifyOnce</a> <br/>
 <a class="el" href="group_____t_l_a_p_i_c_i_p_h_e_r_i_n_i_t_w_i_t_h_d_a_t_a.html#ga3cca8ad6659b5204979f192467c613f2">TestCase_BC00101_SessionhandleNullPointer</a> <br/>
 <a class="el" href="group_____m_c_n_o_t_i_f_y.html#ga915bb54788d32ca8c59368f5c5fd8d12">TestCase_BC00102_SessionhandleInvalidId</a> <br/>
 <a class="el" href="group_____m_c_n_o_t_i_f_y.html#ga57a66a27d1162322c5bd11d4ea146671">TestCase_BC00103_SessionhandleInvalidDevice</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_w_a_i_t_n_o_t_i_f_i_c_a_t_i_o_n.html">00800_mcWaitNotification</a> <br/>
<br/>
 <a class="el" href="group_____m_c_w_a_i_t_n_o_t_i_f_i_c_a_t_i_o_n.html#gaa2b580b54dcb6c7542a431ebb8ff8874">TestCase_GC00100_NotifyThenTimeoutInfinite</a> <br/>
 <a class="el" href="group_____m_c_w_a_i_t_n_o_t_i_f_i_c_a_t_i_o_n.html#gafee4fedd3496b12ce0481fa2ed56091e">TestCase_GC00101_NotifyThenTimeoutFinite</a> <br/>
 <a class="el" href="group_____m_c_w_a_i_t_n_o_t_i_f_i_c_a_t_i_o_n.html#gaa30b83a51d8c11b2fc4b7a9b69a89e44">TestCase_GC00102_NoNotifyThenTimeoutFinite</a> <br/>
 <a class="el" href="group_____m_c_w_a_i_t_n_o_t_i_f_i_c_a_t_i_o_n.html#gad92b74054d1954ff36073060585660a3">TestCase_BC00103_NoNotifyThenThenNoTimeout</a> <br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#ga976b14dd015e0039e0888a5dd9340bd4">TestCase_BC00104_SessionhandleNullPointer</a> <br/>
 <a class="el" href="group_____m_c_w_a_i_t_n_o_t_i_f_i_c_a_t_i_o_n.html#ga9e60da72a61dbc160fe4d81c0603be6a">TestCase_BC00105_SessionhandleInvalidId</a> <br/>
 <a class="el" href="group_____m_c_w_a_i_t_n_o_t_i_f_i_c_a_t_i_o_n.html#gadd018b69fe148a7c8ac232b3924f0ca7">TestCase_BC00106_SessionhandleInvalidDevice</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html">00900_mcGetSessionErrorCode</a> <br/>
<br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#ga71e39e702a8a37755d0d1babc94c029f">TestCase_GC00050_NoNotifications</a> <br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#gad53f13a04dcb31ebcafb66d9285fc6d2">TestCase_GC00100_MultipleNotifications</a> <br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#gabcd99b5d6998e346eff35a95032f2225">TestCase_GC00101_TrustletExits</a> <br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#ga1915c3a8a2e4df9131a5bd27785e3ec4">TestCase_GC00103_TrustletCrashes</a> <br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#ga976b14dd015e0039e0888a5dd9340bd4">TestCase_BC00104_SessionhandleNullPointer</a> <br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#gab56957f7a725fb54c491a64961849ef4">TestCase_BC00105_LastErrNullPointer</a> <br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#ga08d9da073d19f9bee0def4ab81e43dfa">TestCase_BC00106_SessionhandleInvalidId</a> <br/>
 <a class="el" href="group_____m_c_g_e_t_s_e_s_s_i_o_n_e_r_r_o_r_c_o_d_e.html#ga376c0680308efb03d933a1f48d3c9f68">TestCase_BC00107_SessionhandleInvalidDevice</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_m_a_p.html">01000_mcMap</a> <br/>
<br/>
 <a class="el" href="group_____m_c_m_a_p.html#gaf6caab32a5c5f4438f1ec3775a15dcd0">TestCase_GC00100_Map4k</a> <br/>
 <a class="el" href="group_____m_c_m_a_p.html#gac61dc38c658661b9c250ea30ed37d24f">TestCase_GC00100_Map4MB</a> <br/>
 <a class="el" href="group_____m_c_m_a_p.html#ga1d32886c910c6753e4a20d78311c4451">TestCase_GC00100_Map100MB</a> <br/>
 <a class="el" href="group_____t_l_a_p_i_c_i_p_h_e_r_i_n_i_t_w_i_t_h_d_a_t_a.html#ga3cca8ad6659b5204979f192467c613f2">TestCase_BC00101_SessionhandleNullPointer</a> <br/>
 <a class="el" href="group_____m_c_m_a_p.html#ga65c56fae2916b29d6e1b15e6b980f179">TestCase_BC00102_MapinfoNullPointer</a> <br/>
 <a class="el" href="group_____m_c_m_a_p.html#ga19407c7bb3693c315bb170922daf15bf">TestCase_BC00103_SessionhandleInvalidId</a> <br/>
 <a class="el" href="group_____m_c_m_a_p.html#ga3531b8d447762781b11ca97bc1d2d943">TestCase_BC00104_SessionhandleInvalidDevice</a> <br/>
 <a class="el" href="group_____m_c_m_a_p.html#ga2e11ee88598952ca373680c5b4db8ff0">TestCase_BC00105_MultipleMappingsOfSameBuffer</a> <br/>
 <a class="el" href="group_____m_c_m_a_p.html#gac2cf94f5d5dd1517fd163a25e5619323">TestCase_BC00106_MapAReadonlyBuffer</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____m_c_u_n_m_a_p.html">01100_mcUnmap</a> <br/>
<br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#ga59aff3212d6ccc935f4fd1f075c142be">TestCase_GC00100_Unmap4k</a> <br/>
 <a class="el" href="group_____t_l_a_p_i_c_i_p_h_e_r_i_n_i_t_w_i_t_h_d_a_t_a.html#ga3cca8ad6659b5204979f192467c613f2">TestCase_BC00101_SessionhandleNullPointer</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#gaa98ac6db96597069693b2c18a63169ce">TestCase_BC00102_BufNullPointer</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#ga3f6e958dd5770ddb5b3589730d4766b1">TestCase_BC00103_MapinfoNullPointer</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#ga88094d4d616e3f8f652efd9dcaa552d3">TestCase_BC00104_SessionhandleInvalidId</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#ga835ebd48510cf6d9468d9a209f730dcb">TestCase_BC00105_SessionhandleInvalidDevice</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#gab433cfcb41d4b6720ba53259d659f35e">TestCase_BC00106_BufferPointerNotManagedByLib</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#gaa42043a5c2346c0f899c52e8ead109f4">TestCase_BC00108_MapinfoAddressMinus1</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#ga248e5a3d6905f08c9550e594648663b9">TestCase_BC00110_UnmapAnAlreadyUnmappedBulkBuffer</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#gaf770a8090c906a2a71fe9b1e61ffee6e">TestCase_BC00111_oversizedLength</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#ga89aaf0037e4c224c9cc7c34f88502588">TestCase_BC00112_nullLength</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#gaf60795928f1600cde16469b793d51131">TestCase_GC00111_UnmapDoesntClear</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#ga61646d4afbb6e2dfe6f19a5333bef0c5">TestCase_C00111_UnmapFreedBuffer</a> <br/>
 <a class="el" href="group_____m_c_u_n_m_a_p.html#ga0e106be85e0d56444f6691d99638c8bc">TestCase_C00112_UnmapUnlockedBuffer</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group____mc_open_trustlet.html">01300_mcOpenTrustlet</a> <br/>
<br/>
 <a class="el" href="group____mc_open_trustlet.html#ga33908cf822ea0bfb4bc71e10da3d55a1">TestCase_C0001_openTrustlet</a> <br/>
 <a class="el" href="group____mc_open_trustlet.html#ga87a1e9f0df562f50280a939fd0764811">TestCase_C0002_openTrustletPartial</a> <br/>
 <a class="el" href="group____mc_open_trustlet.html#ga9417dba2c723e12ddc2541f7e4dddb44">TestCase_C0003_openTrustletExtraPadded</a> <br/>
 <a class="el" href="group____mc_open_trustlet.html#gaeaee136a02b36d14a95db9631dc48f81">TestCase_C0004_TrustletNullSession</a> <br/>
 <a class="el" href="group____mc_open_trustlet.html#gab908080c1b1a7c5066b74daa6b228d1b">TestCase_C0005_nullTciAndSomeLengthOrSomeTciAndNullLength</a> <br/>
 <a class="el" href="group____mc_open_trustlet.html#gad3be2c1c71f78891396714c6ae7bf360">TestCase_C0006_TrustletWrongTciSize</a> <br/>
 <a class="el" href="group____mc_open_trustlet.html#ga029a40c2bb19c6901106b8ce7c979257">TestCase_C0007_TrustletTooBigTci</a> <br/>
</dd></dl>
<p><a class="el" href="group___t_e_s_t___r_u_n_t_i_m_e.html">Runtime</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____access_drv_test.html">01500_AccessDrvTest</a> <br/>
<br/>
 <a class="el" href="group_____access_drv_test.html#ga302dd2497916a7bb97308d42cd5f1740">TestCase_GC00100_DirectAccessToDriver</a> <br/>
 <a class="el" href="group_____access_drv_test.html#ga38cd244970f01c4b8ce8fb7106535f40">TestCase_GC00200_NWdTestDriverAccess</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____multi_size_key.html">01700_MultiSizeKey</a> <br/>
<br/>
 <a class="el" href="group_____multi_size_key.html#ga137de413617f9f61e3652e7694ba6d01">TestCase_GC00100_LoadTAWith2kRsaKeyExp3</a> <br/>
 <a class="el" href="group_____multi_size_key.html#ga124e3ff3bf7b8ebac6cc1bd44b48441a">TestCase_GC00101_LoadTAWith2kRsaKeyExp17</a> <br/>
 <a class="el" href="group_____multi_size_key.html#gab24a58632763162ea4c872393963a170">TestCase_GC00102_LoadTAWith2kRsaKeyExp65537</a> <br/>
 <a class="el" href="group_____multi_size_key.html#ga933f81d636f593466c8ce5063db84a70">TestCase_GC00103_LoadTAWith3kRsaKeyExp3</a> <br/>
 <a class="el" href="group_____multi_size_key.html#ga4800c988cb105c75d5b64348f7a3cbc5">TestCase_GC00104_LoadTAWith3kRsaKeyExp17</a> <br/>
 <a class="el" href="group_____multi_size_key.html#ga7572341340bbbd36b20d6ce710718201">TestCase_GC00105_LoadTAWith3kRsaKeyExp65537</a> <br/>
 <a class="el" href="group_____multi_size_key.html#ga7eca4c1b94ca7528c69ff65df5de1af8">TestCase_GC00106_LoadTAWith4kRsaKeyExp3</a> <br/>
 <a class="el" href="group_____multi_size_key.html#gad66a883bbb39c29073136e98b6b52555">TestCase_GC00107_LoadTAWith4kRsaKeyExp17</a> <br/>
 <a class="el" href="group_____multi_size_key.html#gaebf9b672003227cc7a0a4dcd1b051981">TestCase_GC00108_LoadTAWith4kRsaKeyExp65537</a> <br/>
</dd></dl>
<p><a class="el" href="group___t_a_mv2.html">TAMv2</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group___hello_world_t_a.html">HelloWorldTA</a> <br/>
<br/>
 <a class="el" href="group___hello_world_t_a.html#ga0de0ff124164879e8b52d8ab1bb5139d">TestCase_0100_OpenSession</a> <br/>
</dd></dl>
<p><a class="el" href="group___trusted_u_i.html">TrustedUI</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____tui_components.html">01000_TuiComponents</a> <br/>
<br/>
 <a class="el" href="group_____tui_components.html#ga39d5dc33c6a677082da679110f55d218">TestCase_00001_MandantoryComponents</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____tui_tester.html">0700_TuiTester</a> <br/>
<br/>
 <a class="el" href="group_____tui_tester.html#gab593766c22aa92ac8cb063f6c958ead6">TestCase_GC0007_TimingTuiSession</a> <br/>
 <a class="el" href="group_____tui_tester.html#ga5206030d0930e5cd3f9e50ab73ec606f">TestCase_GC0012_TimingTuiSessionOpenDisplayClose</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____tui_tester_g_p.html">0710_TuiTesterGP</a> <br/>
<br/>
 <a class="el" href="group_____tui_tester_g_p.html#ga359d7783838b7ff8433e753c2a3e6dc0">TestCase_GC001_Test_TUI_Open_Session</a> <br/>
</dd></dl>
<p><a class="el" href="group___s_e_c_u_r_e___a_p_i___s_t_o_r_a_g_e.html">Secure_API_Storage</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____t_l_a_p_i_w_r_a_p_u_n_w_r_a_p.html">00100_tlApiWrapUnwrap</a> <br/>
<br/>
 <a class="el" href="group_____t_l_a_p_i_w_r_a_p_u_n_w_r_a_p.html#ga429563dfb76ebfb362acf9fead5d62bd">TestCase_GC00100_WrapPlainLenZero</a> <br/>
 <a class="el" href="group_____t_l_a_p_i_w_r_a_p_u_n_w_r_a_p.html#gaf633be14648f80e59ae8767dfe9bb412">TestCase_GC00101_WrapEncryptedLenZero</a> <br/>
 <a class="el" href="group_____t_l_a_p_i_w_r_a_p_u_n_w_r_a_p.html#gaa0773dd3722c6f289d9cf82ce8314a51">TestCase_GC00102_WrapPlainLenEncryptedLenZero</a> <br/>
 <br/>
 </dd></dl>
<dl class="section user"><dt></dt><dd><a class="el" href="group_____t_l_a_p_i_w_r_a_p_u_n_a_l_i_g_n_e_d.html">00110_tlApiWrapUnaligned</a> <br/>
<br/>
 <a class="el" href="group_____t_l_a_p_i_w_r_a_p_u_n_a_l_i_g_n_e_d.html#ga4dadc9282baeb8d4247039243bba387b">TestCase_GC00101_WrapSourceAligned1</a> <br/>
 <a class="el" href="group_____t_l_a_p_i_w_r_a_p_u_n_a_l_i_g_n_e_d.html#ga79983bdfafb5683492c1f60a92de65cd">TestCase_GC00102_WrapSourceAligned2</a> <br/>
 <a class="el" href="group_____t_l_a_p_i_w_r_a_p_u_n_a_l_i_g_n_e_d.html#ga6b2bbcdfa6d05da84dba4bf147b3ecb0">TestCase_GC00103_WrapSourceAligned3</a> <br/>
</dd></dl>
<p><a class="el" href="group__tbase_integration.html">tbaseIntegration</a> <br/>
 </p>
<dl class="section user"><dt></dt><dd><a class="el" href="group___components.html">Components</a> <br/>
<br/>
 <a class="el" href="group___components.html#ga536b79932a3bf98769b7ab3da1339b66">TestCase_00001_RetrieveSUID</a> <br/>
 <a class="el" href="group___components.html#ga277f1f69b16f5ac76bab1bd0dd1bf280">TestCase_00002_McDrvDaemon</a> <br/>
 <a class="el" href="group___components.html#ga495a7c33612dedb6eb95a82373c176b8">TestCase_00003_libMcClient</a> <br/>
 <a class="el" href="group___components.html#ga28f2d4d2579df0297d1682ec7cf81695">TestCase_00004_libMcRegistry</a> <br/>
 <a class="el" href="group___components.html#gac899da5be1becc27f0d9fc00a1dabefe">TestCase_00005_libcurl</a> <br/>
 <a class="el" href="group___components.html#gaed99224efb0b6cb591655af5cc77140c">TestCase_00006_libcommonpawrapper</a> <br/>
 <a class="el" href="group___components.html#ga30207c0705db6244e6a88b3d0c0deeab">TestCase_00007_CMTA</a> <br/>
 <a class="el" href="group___components.html#gad213c9f707064782a12e763ddc5c72d6">TestCase_00008_RootPA</a> <br/>
 <a class="el" href="group___components.html#gafd1d1e014498f52aa8e563ee18f679c4">TestCase_00010_SystemMcRegistryPermissions</a> <br/>
 <a class="el" href="group___components.html#ga9b0c705761a7df12212cc19878f650ac">TestCase_00011_McSocketsPermissions</a> <br/>
 <a class="el" href="group___components.html#gae00215efac3d226a1f814704d7ad1af5">TestCase_00012_SecureStorageDriver</a> <br/>
 </dd></dl>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
